<p align="center">
  <img src="docs/src/assets/logo-text.svg" height="200"><br>
  <a href="https://github.com/JuliaGeometry/Meshes.jl/actions">
    <img src="https://img.shields.io/github/workflow/status/JuliaGeometry/Meshes.jl/CI?style=flat-square">
  </a>
  <a href="https://codecov.io/gh/JuliaGeometry/Meshes.jl">
    <img src="https://img.shields.io/codecov/c/github/JuliaGeometry/Meshes.jl?style=flat-square">
  </a>
  <a href="https://JuliaGeometry.github.io/Meshes.jl/stable">
    <img src="https://img.shields.io/badge/docs-stable-blue?style=flat-square">
  </a>
  <a href="https://JuliaGeometry.github.io/Meshes.jl/latest">
    <img src="https://img.shields.io/badge/docs-latest-blue?style=flat-square">
  </a>
  <a href="LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue?style=flat-square">
  </a>
</p>

Meshes.jl provides efficient implementations of concepts from
computational geometry and finite element analysis. It promotes
rigorous mathematical definitions of spatial discretizations
(a.k.a. meshes) that are adequate for describing general
manifolds embedded in Rⁿ, including surfaces described with
spherical coordinates, and geometries described with multiple
coordinate reference systems.

Our long-term goal is to provide all the features of the
[CGAL](https://www.cgal.org) project in pure Julia.

## Usage

The project is being actively developed. We kindly ask users to
read the source code, the tests, and the docstrings for usage
examples.

## Contributing

Contributions are very welcome, as are feature requests and suggestions.
Please open an issue if you encounter any problems. We take issues very
seriously and value any type of feedback.

We have high standards when it comes to source code. Please adopt the
coding style that is present in the files when submitting pull requests.

### Related packages

This project is an evolution of previous efforts, originally developed
for visualization purposes:

- [GeometryTypes.jl](https://github.com/JuliaGeometry/GeometryTypes.jl)
- [GeometryBasics.jl](https://github.com/JuliaGeometry/GeometryBasics.jl)
